{
	"model": {
		"type": "condition",
		"property": "keybind_down",
		"keybind": "key.left",
		"on_true": {
			"type": "composite",
			"models": [
				{
					"type": "model",
					"model": "item/fishing_rod/fishing_rod"
				},
				{
					"type": "select",
					"property": "display_context",
					"cases": [
						{
							"when": [
								"firstperson_righthand",
								"firstperson_lefthand"
							],
							"model": {
								"type": "range_dispatch",
								"property": "damage",
								"scale": 64,
								"entries": [
									{
										"threshold": 0,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_left"
										}
									},
									{
										"threshold": 33,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_left_damaged"
										}
									}
								]
							}
						},
						{
							"when": [
								"thirdperson_righthand",
								"thirdperson_lefthand"
							],
							"model": {
								"type": "range_dispatch",
								"property": "damage",
								"scale": 64,
								"entries": [
									{
										"threshold": 0,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_back"
										}
									},
									{
										"threshold": 33,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_back_damaged"
										}
									}
								]
							}
						}
					],
					"fallback": {
						"type": "range_dispatch",
						"property": "damage",
						"scale": 64,
						"entries": [
							{
								"threshold": 0,
								"model": {
									"type": "model",
									"model": "item/carrot_on_a_stick/fishing_rod_carrot_inventory"
								}
							},
							{
								"threshold": 33,
								"model": {
									"type": "model",
									"model": "item/carrot_on_a_stick/fishing_rod_carrot_inventory_damaged"
								}
							}
						]
					}
				}
			]
		},
		"on_false": {
			"type": "condition",
			"property": "keybind_down",
			"keybind": "key.right",
			"on_true": {
				"type": "composite",
				"models": [
					{
						"type": "model",
						"model": "item/fishing_rod/fishing_rod"
					},
					{
						"type": "select",
						"property": "display_context",
						"cases": [
							{
								"when": [
									"firstperson_righthand",
									"firstperson_lefthand"
								],
								"model": {
									"type": "range_dispatch",
									"property": "damage",
									"scale": 64,
									"entries": [
										{
											"threshold": 0,
											"model": {
												"type": "model",
												"model": "item/carrot_on_a_stick/fishing_rod_carrot_right"
											}
										},
										{
											"threshold": 33,
											"model": {
												"type": "model",
												"model": "item/carrot_on_a_stick/fishing_rod_carrot_right_damaged"
											}
										}
									]
								}
							},
						{
							"when": [
								"thirdperson_righthand",
								"thirdperson_lefthand"
							],
							"model": {
								"type": "range_dispatch",
								"property": "damage",
								"scale": 64,
								"entries": [
									{
										"threshold": 0,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_back"
										}
									},
									{
										"threshold": 33,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_back_damaged"
										}
									}
								]
							}
						}
						],
						"fallback": {
							"type": "range_dispatch",
							"property": "damage",
							"scale": 64,
							"entries": [
								{
									"threshold": 0,
									"model": {
										"type": "model",
										"model": "item/carrot_on_a_stick/fishing_rod_carrot_inventory"
									}
								},
								{
									"threshold": 33,
									"model": {
										"type": "model",
										"model": "item/carrot_on_a_stick/fishing_rod_carrot_inventory_damaged"
									}
								}
							]
						}
					}
				]
			},
			"on_false": {
				"type": "condition",
				"property": "keybind_down",
				"keybind": "key.back",
				"on_true": {
					"type": "composite",
					"models": [
						{
							"type": "model",
							"model": "item/fishing_rod/fishing_rod"
						},
						{
							"type": "select",
							"property": "display_context",
							"cases": [
								{
									"when": [
										"firstperson_righthand",
										"firstperson_lefthand"
									],
									"model": {
										"type": "range_dispatch",
										"property": "damage",
										"scale": 64,
										"entries": [
											{
												"threshold": 0,
												"model": {
													"type": "model",
													"model": "item/carrot_on_a_stick/fishing_rod_carrot_back"
												}
											},
											{
												"threshold": 33,
												"model": {
													"type": "model",
													"model": "item/carrot_on_a_stick/fishing_rod_carrot_back_damaged"
												}
											}
										]
									}
								},
						{
							"when": [
								"thirdperson_righthand",
								"thirdperson_lefthand"
							],
							"model": {
								"type": "range_dispatch",
								"property": "damage",
								"scale": 64,
								"entries": [
									{
										"threshold": 0,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_back"
										}
									},
									{
										"threshold": 33,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_back_damaged"
										}
									}
								]
							}
						}
							],
							"fallback": {
								"type": "range_dispatch",
								"property": "damage",
								"scale": 64,
								"entries": [
									{
										"threshold": 0,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_inventory"
										}
									},
									{
										"threshold": 33,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_inventory_damaged"
										}
									}
								]
							}
						}
					]
				},
				"on_false": {
					"type": "condition",
					"property": "keybind_down",
					"keybind": "key.forward",
					"on_true": {
						"type": "composite",
						"models": [
							{
								"type": "model",
								"model": "item/fishing_rod/fishing_rod"
							},
							{
								"type": "select",
								"property": "display_context",
								"cases": [
									{
										"when": [
											"firstperson_righthand",
											"firstperson_lefthand"
										],
										"model": {
											"type": "range_dispatch",
											"property": "damage",
											"scale": 64,
											"entries": [
												{
													"threshold": 0,
													"model": {
														"type": "model",
														"model": "item/carrot_on_a_stick/fishing_rod_carrot_forward"
													}
												},
												{
													"threshold": 33,
													"model": {
														"type": "model",
														"model": "item/carrot_on_a_stick/fishing_rod_carrot_forward_damaged"
													}
												}
											]
										}
									},
										{
							"when": [
								"thirdperson_righthand",
								"thirdperson_lefthand"
							],
							"model": {
								"type": "range_dispatch",
								"property": "damage",
								"scale": 64,
								"entries": [
									{
										"threshold": 0,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_back"
										}
									},
									{
										"threshold": 33,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_back_damaged"
										}
									}
								]
							}
						}
								],
								"fallback": {
									"type": "range_dispatch",
									"property": "damage",
									"scale": 64,
									"entries": [
										{
											"threshold": 0,
											"model": {
												"type": "model",
												"model": "item/carrot_on_a_stick/fishing_rod_carrot_inventory"
											}
										},
										{
											"threshold": 33,
											"model": {
												"type": "model",
												"model": "item/carrot_on_a_stick/fishing_rod_carrot_inventory_damaged"
											}
										}
									]
								}
							}
						]
					},
					"on_false": {
						"type": "composite",
						"models": [
							{
								"type": "model",
								"model": "item/fishing_rod/fishing_rod"
							},
							{
								"type": "select",
								"property": "display_context",
								"cases": [
									{
										"when": [
											"firstperson_righthand",
											"firstperson_lefthand"
										],
										"model": {
											"type": "range_dispatch",
											"property": "damage",
											"scale": 64,
											"entries": [
												{
													"threshold": 0,
													"model": {
														"type": "model",
														"model": "item/carrot_on_a_stick/fishing_rod_carrot"
													}
												},
												{
													"threshold": 33,
													"model": {
														"type": "model",
														"model": "item/carrot_on_a_stick/fishing_rod_carrot_damaged"
													}
												}
											]
										}
									},
						{
							"when": [
								"thirdperson_righthand",
								"thirdperson_lefthand"
							],
							"model": {
								"type": "range_dispatch",
								"property": "damage",
								"scale": 64,
								"entries": [
									{
										"threshold": 0,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_back"
										}
									},
									{
										"threshold": 33,
										"model": {
											"type": "model",
											"model": "item/carrot_on_a_stick/fishing_rod_carrot_back_damaged"
										}
									}
								]
							}
						}
								],
								"fallback": {
									"type": "range_dispatch",
									"property": "damage",
									"scale": 64,
									"entries": [
										{
											"threshold": 0,
											"model": {
												"type": "model",
												"model": "item/carrot_on_a_stick/fishing_rod_carrot_inventory"
											}
										},
										{
											"threshold": 33,
											"model": {
												"type": "model",
												"model": "item/carrot_on_a_stick/fishing_rod_carrot_inventory_damaged"
											}
										}
									]
								}
							}
						]
					}
				}
			}
		}
	}
}